Page 1 of 25 12311 ... LastLast
Results 1 to 10 of 246
  1. #1
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Need help to do an upgrade from 1.5.0 to 1.5.5

    I am in the process of upgrading my store from 1.5.0 to 1.5.5 (if I can).

    I am following DrByte's instructions to the letter so far, but I have a few starting questions.

    .1. I exported my current database (from my current store) and had it imported by my host into my new blank installation of 1.5.5 because it was too large to do myself. However, I am not seeing ANYTHING different in the test install so I am wondering if they did it right, if I exported it correctly (following his instructions) or if it is normal for now to see nothing more than the basic default install.

    .2. I got the zip file for the All In One mod (which puts everything on a single page to upload products, description, attributes, images, languages, etc.), and the License Manage file that is mentioned in the instruction document, but although I try to follow all the instructions, to the letter, they are a bit confusing. I am unsure if *I* am the confused one, or if they are just not spelled out clearly. Here are those instructions.
    http://customscriptz.com/wiki/AIO_Product_Page

    Can someone tell me if those instructions make sense?
    I follow all the directions until it is time to enter the license; when I click the New product to add something, instead of being prompted to enter the license, I get a 404 page.

    Any help would be greatly appreciated.

  2. #2
    Join Date
    Jul 2012
    Posts
    11,630
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    With regards to item 1, verify that in your new install that the DB_PREFIX is the same as your existing site. This is located in includes/configure.php and YOUR_SECRET_ADMIN/includes/configure.php.

    The next thing would be to login to your database (phpmyadmin) and validate that the new database has at least your old database. Based on the description of the issue, I would expect to see approximately 200 tables identified in that new database. (approximately 100 from the basic clean install and about the same from the copy of the old database).

    Then as you are likely aware, once the "connection" is made to the old datatables stored into your new/temp database, you will need to run zc_install to upgrade that data (do not do a full install at that point as it would clear the tables and the import would need to be done again).

    Let everyone know what you find out from there as I could go on unnecessarily with other things.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  3. #3
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by mc12345678 View Post
    Then as you are likely aware, once the "connection" is made to the old datatables stored into your new/temp database, you will need to run zc_install to upgrade that data (do not do a full install at that point as it would clear the tables and the import would need to be done again).
    I was likely NOT aware. How do I do that?

  4. #4
    Join Date
    Jul 2012
    Posts
    11,630
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    As to item 2 I'm going to be a little bit of a hutt bead, but it looks like from the referenced page that support is to be obtained from custom scriptz at: http://customscriptz.com/support

    That said, the instructions when performed from top to bottom in their entirety look understandable, albeit leaving files on the server that really shouldn't be left.

    Basically, the contents of two programs are "merged" together and uploaded. Then particular files on the server are renamed, files in the upload are renamed, and although no "overrides" are reported to be done/needed, those newly renamed files are uploaded to the position that existed before the server files were renamed. Continue doing this process until all "needed" files are in place.

    There is no instruction about how to handle/manage doing this for product of different product type (ie if the associated "not overridden" files exist in the *purchased* package or not).

    Lastly though... and here's the biggie, the software indicates that it is compatible with ZC 1.3.8a and above... but does not seem to identify that any differences that have been incorporated into the ZC system have been addressed or incorporated... so there very well could be issues of incompatibility of that software with your operating system... between changes made to php and other aspects to boot.

    Also, there is zero discussion of incorporating any system changes/modifications that may need to be incorporated into this script... ie there are other plugins known to modify files/folders that this replaces (oh sorry, no overwrites), I mean moves out of the way...
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  5. #5
    Join Date
    Feb 2009
    Posts
    581
    Plugin Contributions
    0

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Maybe he wants to sell his product, but I already have it so that is no concern for me.

    I am not 100% sure it is compatible with 1.5.5 as he never replied to my request, so I feel I can at least test it on that test installation.

    Ok so if those intructions make sense, I'll just re-re-read and re-re-redo them again.

  6. #6
    Join Date
    Jul 2012
    Posts
    11,630
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by CaroleAs View Post
    I was likely NOT aware. How do I do that?
    It's actually a mute point if you are still seeing the default data that would be expected to be seen following DrByte's upgrade by rebuild instructions found at: http://www.zen-cart.com/entry.php?3-...d-of-upgrading

    As part of that process, the new "temp" site is installed with default product to be able to address software related items. Then the database "replaced" to address the data portion of the upgrade. Per the instructions/guidance, the zc_install folder of a clean vanilla install is again uploaded to the new/test site and again accessed as was done to install the initial install. Thing is. Now that the store is looking at an old version of data, the installer will recognize this condition (or should) and indicate to you that it is possible to upgrade the database as a selectable option in the zc_install process.

    As far as admin credentials during this process, you will need to provide admin profile login that applied to the old site when going through the zc_install process.

    Hope that helps a little further. I got distracted while writing this so someone else may have already provided some of this info.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  7. #7
    Join Date
    Jan 2004
    Posts
    64,748
    Blog Entries
    6
    Plugin Contributions
    214

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    For the DB_PREFIX, go look at the /includes/configure.php on your "live" site and find the DB_PREFIX line there.
    In your new "test" site, put the same DB_PREFIX in both the /includes/configure.php and the admin includes configure.php.
    Then all your data will "show up" (because it was all imported, as you say by your hosting company).



    If you can tolerate ignoring the AIO plugin until the very end, and focus on everything else, you'll make more progress than trying to make that work as your first goal.
    While I know you view it as an essential element, it's really very minor in the list of things that need doing.
    (Normally there's no product-editing necessary during an upgrade, so you won't "need" it until after you "go live" anyway.)
    It's really as simple as putting the right files into place --- no need even to register it, cuz you've already done that, and the confirmation of that is in your database and your files. Once they're all in place it'll "just work". And if it doesn't, I'll help out a bit at the very end.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  8. #8
    Join Date
    Jul 2012
    Posts
    11,630
    Plugin Contributions
    13

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by CaroleAs View Post
    Maybe he wants to sell his product, but I already have it so that is no concern for me.

    I am not 100% sure it is compatible with 1.5.5 as he never replied to my request, so I feel I can at least test it on that test installation.

    Ok so if those intructions make sense, I'll just re-re-read and re-re-redo them again.
    Well, there are two parts to the "getting help from them" thing. One is that the code hasn't been made available to the community and remains a commercial product of his/her own. As such, they should be the one to provide assistance because it is their product and not one made available for all. (not getting into a "debate" about how everyone can purchase it, etc...) also, they have made it commercial so that they benefit from the overall product. Doesn't exactly look good from their perspective if someone else jumps in with the "answer" (which may not be one) when they may know the answer if asked... hard to explain, anyways, the other part being that support should continue to be provided by the individual(s) that developed/made available the software and others shouldn't have to support it. This forum being open to ZC support, the thought seems to be that it is for the support of those things that would benefit all not just the few that do or have purchased something.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  9. #9
    Join Date
    Jan 2004
    Posts
    64,748
    Blog Entries
    6
    Plugin Contributions
    214

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by CaroleAs View Post
    Maybe he wants to sell his product, but I already have it so that is no concern for me.

    I am not 100% sure it is compatible with 1.5.5 as he never replied to my request, so I feel I can at least test it on that test installation.

    Ok so if those intructions make sense, I'll just re-re-read and re-re-redo them again.
    Quote Originally Posted by mc12345678 View Post
    Well, there are two parts to the "getting help from them" thing. One is that the code hasn't been made available to the community and remains a commercial product of his/her own. As such, they should be the one to provide assistance because it is their product and not one made available for all. (not getting into a "debate" about how everyone can purchase it, etc...) also, they have made it commercial so that they benefit from the overall product. Doesn't exactly look good from their perspective if someone else jumps in with the "answer" (which may not be one) when they may know the answer if asked... hard to explain, anyways, the other part being that support should continue to be provided by the individual(s) that developed/made available the software and others shouldn't have to support it. This forum being open to ZC support, the thought seems to be that it is for the support of those things that would benefit all not just the few that do or have purchased something.
    Don't count on the mod author. Seems to have disappeared from what I can tell.
    I've seen the files for the mod Carole is talking about. They should work fine in v1.5.5 (caveat: they're encrypted, so no guarantees, but they're based on files that haven't changed dramatically in years, so I don't envision any problem). We can drop them in at the end of the upgrade.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  10. #10
    Join Date
    Dec 2009
    Location
    Amersfoort, The Netherlands
    Posts
    2,285
    Plugin Contributions
    20

    Default Re: Need help to do an upgrade from 1.5.0 to 1.5.5

    Quote Originally Posted by CaroleAs View Post
    .2. I got the zip file for the All In One mod (which puts everything on a single page to upload products, description, attributes, images, languages, etc.), and the License Manage file that is mentioned in the instruction document, but although I try to follow all the instructions, to the letter, they are a bit confusing. I am unsure if *I* am the confused one, or if they are just not spelled out clearly. Here are those instructions.
    http://customscriptz.com/wiki/AIO_Product_Page
    I am currently developing a similar product page, it will be available on GitHub in a few days. And also be presented here as a download.
    at first only the default collect info fields will be added, but I am planning on adding functionality for additional images (borrowing code from image handler), attributes, and more if desired.
    It is using bootstrap, and ajax to update some information on the page.
    Click image for larger version. 

Name:	collect_info_01.jpg 
Views:	28 
Size:	65.0 KB 
ID:	17237
    Click image for larger version. 

Name:	collect_info_02.jpg 
Views:	24 
Size:	34.0 KB 
ID:	17238

    Click image for larger version. 

Name:	collect_info_03.jpg 
Views:	21 
Size:	34.9 KB 
ID:	17240
    Last edited by Design75; 23 Aug 2017 at 08:48 AM.

 

 
Page 1 of 25 12311 ... LastLast

Similar Threads

  1. Replies: 1
    Last Post: 15 Feb 2013, 07:42 AM
  2. v150 Need to re-do my upgrade - but need help!
    By annieh in forum Upgrading to 1.5.x
    Replies: 0
    Last Post: 14 Jun 2012, 01:32 AM
  3. Do i need to upgrade from 1.3.8a?
    By creamcrackers in forum Upgrading from 1.3.x to 1.3.9
    Replies: 1
    Last Post: 7 Oct 2010, 05:21 AM
  4. Need help with upgrade from 1.3.7 to 1.3.8
    By josee225 in forum Upgrading from 1.3.x to 1.3.9
    Replies: 1
    Last Post: 7 Sep 2009, 09:45 PM
  5. Need help upgrade from 1.3.7 to 1.3.8
    By lennypeng in forum Upgrading from 1.3.x to 1.3.9
    Replies: 17
    Last Post: 16 Nov 2008, 11:53 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR